Page MenuHomePhabricator

Add tests for NamespaceRestriction enforcement
Closed, ResolvedPublic2 Story Points

Description

Add some tests to ensure the enforcement works correctly on Namespace.

The "blocked" message can be the same for PageRestriction and NamespaceRestriction.


Future messaging concerns:
Mobile Web can show the same "blocked" message for PageRestriction or NamespaceRestriction.
In the future, we may make the Web version give the user more specific information.


Things to Ensure:

  1. If User:Apples is blocked from User_talk then the Prevent this user from editing their own talk page while blocked takes precedence regardless if it is true or false

Details

Related Gerrit Patches:

Event Timeline

dbarratt created this task.Sep 20 2018, 5:52 PM
aezell renamed this task from Enforce namespace blocks from database and update block notices to Add tests for NamespaceRestriction enforcement.Sep 21 2018, 6:29 PM
aezell updated the task description. (Show Details)
aezell set the point value for this task to 2.
dbarratt renamed this task from Add tests for NamespaceRestriction enforcement to Update partial block enforcement for Namespaces.Oct 15 2018, 8:19 PM
dbarratt updated the task description. (Show Details)Oct 15 2018, 8:23 PM
dbarratt renamed this task from Update partial block enforcement for Namespaces to Add tests for NamespaceRestriction enforcement.Oct 15 2018, 8:25 PM

Here are some:

  1. If User:Apples does not have permissions on edit a specific namespace (e.g. MediaWiki:) a block against that namespace should have no effect.
  2. Namespace blocks should prohibit page renames within the namespace
  3. Namespace blocks should prohibit page creations within the namespace
  4. Namespace blocks should prohibit page renames into or out of the namespace — may be handled in T197621
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 33) board.

Change 475786 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Ensure that namespace blocking is enforced.

https://gerrit.wikimedia.org/r/475786

dbarratt updated the task description. (Show Details)Nov 27 2018, 5:42 AM

Change 475786 abandoned by Dbarratt:
Ensure that namespace blocking is enforced.

https://gerrit.wikimedia.org/r/475786

dbarratt removed dbarratt as the assignee of this task.Nov 27 2018, 6:27 AM
dbarratt moved this task from In progress to Ready on the Anti-Harassment (AHT Sprint 34) board.
dbarratt updated the task description. (Show Details)Nov 27 2018, 2:49 PM
dbarratt added a subscriber: dmaza.Dec 21 2018, 1:47 AM

@dmaza Does anything need to be done here?

dbarratt closed this task as Resolved.Jan 23 2019, 5:39 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (Bet — ב) board.